Version 4.0.26.22 (latest)

Enqueue materialization for a PDT with the given model name and view name

## Request

GET /derived_table/{model_name}/{view_name}/start Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... model_name string The model of the PDT to start building. view_name string The view name of the PDT to start building. query HTTP Query Expand HTTP Query definition... force_rebuild string Force rebuild of required dependent PDTs, even if they are already materialized. force_full_incremental string Force involved incremental PDTs to fully re-materialize. workspace string Workspace in which to materialize selected PDT ('dev' or default 'production'). source string The source of this request.

## Response

### 200: Derived Table

Datatype Description (object) [MaterializePDT](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/MaterializePDT) materialization_id string The ID of the enqueued materialization task resp_text string Detailed response in text format

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link